Altibase.jdbc.driver.cm

## Class CmErrorResult

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmErrorResult

    public class CmErrorResult
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addError(CmErrorResult aNext)`
`boolean` `canSkipSQLWarning(int aErrorCode)` ignorable 에러 중 실제로 SQLWarning을 생성시켜야 하는지 확인한다.
`void` `clear()`
`int` `getErrorCode()`
`int` `getErrorIndex()`
`java.lang.String` `getErrorMessage()`
`short` `getErrorOp()`
`CmErrorResult` `getNextError()`
`void` `initErrorIndex(int aErrorIndex)`
`boolean` `isBatchError()`
`boolean` `isIgnorable()` 무시해도 되는 에러인지 확인한다.
`boolean` `isPrepareError()`
`void` `readFrom(CmChannel aChannel)`
`void` `setBatchError(boolean aIsBatchError)`
`void` `setPrepareError(boolean aPrepareError)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### readFrom

    public void readFrom(CmChannel aChannel)
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### addError

    public void addError(CmErrorResult aNext)

#### clear

    public void clear()

#### getErrorOp

    public short getErrorOp()

#### getErrorIndex

    public int getErrorIndex()

#### initErrorIndex

    public void initErrorIndex(int aErrorIndex)

#### getErrorCode

    public int getErrorCode()

#### getErrorMessage

    public java.lang.String getErrorMessage()

#### isIgnorable

    public boolean isIgnorable()

무시해도 되는 에러인지 확인한다.

Returns:
  무시해도 되는지 여부

#### canSkipSQLWarning

    public boolean canSkipSQLWarning(int aErrorCode)

ignorable 에러 중 실제로 SQLWarning을 생성시켜야 하는지 확인한다.

Parameters:
  `aErrorCode` - 에러코드
Returns:
  true 내부 구현으로 인한 ignore이기 때문에 SQLWarning을 무시할 수 있다.
  false SQLWarning을 생성시켜야 한다.

#### isBatchError

    public boolean isBatchError()

#### setBatchError

    public void setBatchError(boolean aIsBatchError)

#### getNextError

    public CmErrorResult getNextError()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### setPrepareError

    public final void setPrepareError(boolean aPrepareError)

#### isPrepareError

    public boolean isPrepareError()